Bug 176861 - 'dmsetup version' should display driver version and not fail
Summary: 'dmsetup version' should display driver version and not fail
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
(Show other bugs)
Version: 4.3
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 168430
TreeView+ depends on / blocked
 
Reported: 2006-01-03 20:56 UTC by Corey Marthaler
Modified: 2010-01-12 02:15 UTC (History)
7 users (show)

Fixed In Version: RHBA-2006-0099
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:42:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0099 qe-ready SHIPPED_LIVE device-mapper bug fix and enhancement update 2006-03-06 05:00:00 UTC

Description Corey Marthaler 2006-01-03 20:56:26 UTC
Description of problem:
[root@link-02 ~]# dmsetup version
Library version:   1.02.02 (2005-12-02)
Command failed

Version-Release number of selected component (if applicable):
[root@link-02 ~]# rpm -q device-mapper
device-mapper-1.02.02-1.0.RHEL4

How reproducible:
everytime

Comment 1 Alasdair Kergon 2006-01-03 22:07:41 UTC
An inverted error check after a function call - fixed upstream.

Comment 6 Corey Marthaler 2006-01-24 19:44:03 UTC
fix verified.

[root@link-01 ~]# dmsetup version
Library version:   1.02.02 (2006-01-04)
Driver version:    4.5.0


Comment 8 Red Hat Bugzilla 2006-03-07 18:42:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0099.html



Note You need to log in before you can comment on or make changes to this bug.